Last Comment Bug 403687 - move pkix functions to certvfypkix.c, turn off EV_TEST_HACK
: move pkix functions to certvfypkix.c, turn off EV_TEST_HACK
Status: RESOLVED FIXED
PKIX
:
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: trunk
: All All
: P2 normal (vote)
: 3.12
Assigned To: Kai Engert (:kaie)
:
Mentors:
Depends on:
Blocks: evtracker
  Show dependency treegraph
 
Reported: 2007-11-13 14:18 PST by Kai Engert (:kaie)
Modified: 2008-01-09 00:55 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (36.99 KB, patch)
2007-12-14 15:24 PST, Kai Engert (:kaie)
rrelyea: review+
Details | Diff | Splinter Review

Description Kai Engert (:kaie) 2007-11-13 14:18:41 PST
Bob R requests that we move all pkix functions from certvfy.c to certvfypkix.c, everything below 
PKIX_CertSelector *cert_GetTargetCertConstraints

He also requests that we turn off EV_TEST_HACK.
I assume he wants us to remove all the special code that checks for the EV_TEST_HACK env variable, and use the pkix processing.
Comment 1 Kai Engert (:kaie) 2007-12-14 15:24:16 PST
Created attachment 293219 [details] [diff] [review]
Patch v1

Bob, I think this is the change you requested.

I did not change any code, only moving and removing.
Comment 2 Robert Relyea 2008-01-08 15:17:55 PST
Comment on attachment 293219 [details] [diff] [review]
Patch v1

r+
Comment 3 Kai Engert (:kaie) 2008-01-09 00:24:35 PST
fixed

Checking in certhigh/certvfy.c;
/cvsroot/mozilla/security/nss/lib/certhigh/certvfy.c,v  <--  certvfy.c
new revision: 1.63; previous revision: 1.62
done
Checking in certhigh/certvfypkix.c;
/cvsroot/mozilla/security/nss/lib/certhigh/certvfypkix.c,v  <--  certvfypkix.c
new revision: 1.9; previous revision: 1.8
done

Note You need to log in before you can comment on or make changes to this bug.